| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
libdar::elastic Class Reference
Private

the elastic buffer class More...

`#include <elastic.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| elastic (U_32 size)
| elastic (const unsigned char *buffer, U_32 size, elastic_direction dir, const archive_version &reading_ver)
| elastic (generic_file &f, elastic_direction dir, const archive_version &reading_ver)
U_32 | dump (unsigned char *buffer, U_32 size) const
U_32 | get_size () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Static Public Member Functions
static U_I | max_length ()

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the elastic buffer class

the elastic class makes possible to insert arbritrary bytes beside information bytes, and to retreive later without any other knowledge which bytes are information and which byte are from the elastic buffer. The main purpose is for strong encryption

Definition at line 53 of file elastic.hpp.

The documentation for this class was generated from the following file:

- elastic.hpp